org.apache.poi.hslf.record

## Enum HeadersFootersAtom.FormatIndex

- java.lang.Object
- - java.lang.Enum<HeadersFootersAtom.FormatIndex>
  - - org.apache.poi.hslf.record.HeadersFootersAtom.FormatIndex

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HeadersFootersAtom.FormatIndex>
  Enclosing class:
    HeadersFootersAtom

      public static enum HeadersFootersAtom.FormatIndex
      extends java.lang.Enum<HeadersFootersAtom.FormatIndex>

  FormatIndex enum without LCID mapping

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABBREVIATED_MONTH_AND_YEAR`
    `ALTERNATE_SHORT_DATE`
    `ALTERNATE_SHORT_DATE_WITH_ABBREVIATED_MONTH`
    `CHINESE1`
    `CHINESE2`
    `CHINESE3`
    `DATE_AND_HOUR12_TIME`
    `DATE_AND_HOUR12_TIME_WITH_SECONDS`
    `ENGLISH_DATE`
    `HOUR12_TIME`
    `HOUR12_TIME_WITH_SECONDS`
    `HOUR24_TIME`
    `HOUR24_TIME_WITH_SECONDS`
    `ISO_STANDARD_DATE`
    `LONG_DATE`
    `LONG_DATE_WITHOUT_WEEKDAY`
    `MONTH_AND_YEAR`
    `SHORT_DATE`
    `SHORT_DATE_WITH_ABBREVIATED_MONTH`
    `SHORT_DATE_WITH_SLASHES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HeadersFootersAtom.FormatIndex` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HeadersFootersAtom.FormatIndex[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHORT_DATE

          public static final HeadersFootersAtom.FormatIndex SHORT_DATE

    - #### LONG_DATE

          public static final HeadersFootersAtom.FormatIndex LONG_DATE

    - #### LONG_DATE_WITHOUT_WEEKDAY

          public static final HeadersFootersAtom.FormatIndex LONG_DATE_WITHOUT_WEEKDAY

    - #### ALTERNATE_SHORT_DATE

          public static final HeadersFootersAtom.FormatIndex ALTERNATE_SHORT_DATE

    - #### ISO_STANDARD_DATE

          public static final HeadersFootersAtom.FormatIndex ISO_STANDARD_DATE

    - #### SHORT_DATE_WITH_ABBREVIATED_MONTH

          public static final HeadersFootersAtom.FormatIndex SHORT_DATE_WITH_ABBREVIATED_MONTH

    - #### SHORT_DATE_WITH_SLASHES

          public static final HeadersFootersAtom.FormatIndex SHORT_DATE_WITH_SLASHES

    - #### ALTERNATE_SHORT_DATE_WITH_ABBREVIATED_MONTH

          public static final HeadersFootersAtom.FormatIndex ALTERNATE_SHORT_DATE_WITH_ABBREVIATED_MONTH

    - #### ENGLISH_DATE

          public static final HeadersFootersAtom.FormatIndex ENGLISH_DATE

    - #### MONTH_AND_YEAR

          public static final HeadersFootersAtom.FormatIndex MONTH_AND_YEAR

    - #### ABBREVIATED_MONTH_AND_YEAR

          public static final HeadersFootersAtom.FormatIndex ABBREVIATED_MONTH_AND_YEAR

    - #### DATE_AND_HOUR12_TIME

          public static final HeadersFootersAtom.FormatIndex DATE_AND_HOUR12_TIME

    - #### DATE_AND_HOUR12_TIME_WITH_SECONDS

          public static final HeadersFootersAtom.FormatIndex DATE_AND_HOUR12_TIME_WITH_SECONDS

    - #### HOUR12_TIME

          public static final HeadersFootersAtom.FormatIndex HOUR12_TIME

    - #### HOUR12_TIME_WITH_SECONDS

          public static final HeadersFootersAtom.FormatIndex HOUR12_TIME_WITH_SECONDS

    - #### HOUR24_TIME

          public static final HeadersFootersAtom.FormatIndex HOUR24_TIME

    - #### HOUR24_TIME_WITH_SECONDS

          public static final HeadersFootersAtom.FormatIndex HOUR24_TIME_WITH_SECONDS

    - #### CHINESE1

          public static final HeadersFootersAtom.FormatIndex CHINESE1

    - #### CHINESE2

          public static final HeadersFootersAtom.FormatIndex CHINESE2

    - #### CHINESE3

          public static final HeadersFootersAtom.FormatIndex CHINESE3

  - ### Method Detail

    - #### values

          public static HeadersFootersAtom.FormatIndex[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HeadersFootersAtom.FormatIndex c : HeadersFootersAtom.FormatIndex.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HeadersFootersAtom.FormatIndex valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.